# $Revision: 1.9 $, $Date: 2012/01/17 08:22:08 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	mysqlPP
Summary:	DBD::mysqlPP - pure Perl MySQL driver for the DBI
Summary(pl.UTF-8):	DBD::mysqlPP - czysto perlowy sterownik do MySQL-a dla DBI
Name:		perl-DBD-mysqlPP
Version:	0.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a259806d4c82e486fb474d8b5c15e6dd
%if %{with tests}
BuildRequires:	perl-DBI >= 1.0
BuildRequires:	perl-Net-MySQL >= 0.08
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Net-MySQL >= 0.08
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::mysqlPP is a Pure Perl MySQL driver for the Perl5 Database
Interface (DBI). This module implements network protool between
server and client of MySQL, thus you don't need external MySQL
client library like libmysqlclient for this module to work.
It means this module enables you to connect to MySQL server from
some operation systems which MySQL is not ported.

%description -l pl.UTF-8
DBD::mysqlPP to czysto perlowy sterownik do MySQL-a dla DBI (perlowego
interfejsu do baz danych). Ten moduł jest implementacją protokołu
sieciowego między serwerem a klientem MySQL-a, przez co nie wymaga do
działania zewnętrznej biblioteki klienckiej MySQL-a, takiej jak
libmysqlclient. Oznacza to, że moduł ten umożliwia połączenie z
serwerem MySQL nawet z systemu operacyjnego, na który MySQL nie został
sportowany.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DBD/mysqlPP.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-mysqlPP.spec,v $
Revision 1.9  2012/01/17 08:22:08  zbyniu
- up to 0.07

Revision 1.8  2008/07/27 22:51:37  arekm
- release 2

Revision 1.7  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.5  2004/11/03 22:30:15  paladine
- formatting

Revision 1.4  2004/05/06 18:43:08  ankry
- fixed perl-devel BR

Revision 1.3  2004/04/20 05:35:02  ankry
- license fixes and unification

Revision 1.2  2004/04/14 14:47:10  ankry
- cosmetics

Revision 1.1  2003/10/31 23:20:32  qboosh
- new

